### Method

# Hinawa FwResp reserve_within_region

since: 4.0

#### Declaration [src]

    gboolean
    hinawa_fw_resp_reserve_within_region (
      HinawaFwResp* self,
      HinawaFwNode* node,
      guint64 region_start,
      guint64 region_end,
      guint width,
      GError** error
    )

#### Description [src]

Allocate an address range within Linux system for local nodes, each of which expresses 1394 OHCI hardware. Once successful, `HinawaFwResp::requested` signal will be emitted whenever any request subactions arrive at the 1394 OHCI hardware within the dedicated range.

The range is reserved between the values specified by `region_start` and `region_end` with the size indicated by `width`. The starting offset may vary every time.

Available since: 4.0

#### Parameters

`node`

  Type: `HinawaFwNode`

  A `HinawaFwNode`.

  The data is owned by the caller of the method.

`region_start`

  Type: `guint64`

  Start offset of address region in which range of address is looked up.

`region_end`

  Type: `guint64`

  End offset of address region in which range of address is looked up.

`width`

  Type: `guint`

  The width for range of address to be looked up.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.